FSEEKO(3)

NAME
fseeko, ftello - seek to or report file position

SYNOPSIS
#include <stdio.h>

int fseeko(FILE *stream, off_t offset, int whence);

off_t ftello(FILE *stream);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

fseeko(), ftello():
    _FILE_OFFSET_BITS == 64 || _POSIX_C_SOURCE >= 200112L
    (defining the obsolete _LARGEFILE_SOURCE macro also works)

DESCRIPTION
The fseeko() and ftello() functions are identical to fseek(3) and ftell(3) (see fseek(3)), respectively, except that the offset argument of fseeko() and the return value of ftello() is of type off_t instead of long.

On some architectures, both off_t and long are 32-bit types, but defining _FILE_OFFSET_BITS with the value 64 (before including any header files) will turn off_t into a 64-bit type.

RETURN VALUE
On successful completion, fseeko() returns 0, while ftello() returns the current offset. Otherwise, -1 is returned and errno is set to indicate the error.

ERRORS
See the ERRORS in fseek(3).

VERSIONS
These functions are available under glibc since version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
POSIX.1-2001, POSIX.1-2008, SUSv2.

SEE ALSO
fseek(3)

COLOPHON
This page is part of release 4.05 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.